Verify email address
curl --request PUT \
--url https://api.managem.co.uk/user/account/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"code": "<string>"
}
'import requests
url = "https://api.managem.co.uk/user/account/email"
payload = {
"email": "jsmith@example.com",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', code: '<string>'})
};
fetch('https://api.managem.co.uk/user/account/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update email
Verify email address
Complete the second step of the email change flow.
This endpoint consumes the verification payload and applies the new email address to the authenticated account.
Expected usage:
- First request a code via PATCH /user/account/email.
- Then call this endpoint with the verification data.
On success, the email address is updated and the endpoint returns 204.
PUT
/
user
/
account
/
email
Verify email address
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
204
The user's email address was updated
⌘I